RRDCreator::addDataSource
RRDCreator::save
RRDCreator
PHP Manual

# RRDCreator::__construct

(PECL rrd >= 0.9.0)

RRDCreator::__construct — Creates new RRDCreator instance

### Description

public RRDCreator::__construct ( string `$path` [, string `$startTime` [, int `$step` = 0 ]] )

Creates new RRDCreator instance.

### Parameters

`path`

  Path for newly created RRD database file.

`startTime`

  Time for the first value in RRD database. Parameter supports all formats which are supported by rrd create call.

int`step`

  Base interval in seconds with which data will be fed into the RRD database.

### Return Values

No value is returned.

RRDCreator::addDataSource
RRDCreator::save
RRDCreator
PHP Manual